Subject: Re: [PATCH v2 0/3] diff: fix --exit-code with external diff

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jun 2024 09:47:42 -0700

René Scharfe <[email-masked]> writes:

>   t4020: test exit code with external diffs
>   userdiff: add and use struct external_diff
>   diff: let external diffs report that changes are uninteresting

OK, we now need to mark each external diff driver if we want to
honor their exit status, but that awkwardness is to be blamed on the
original design.  Thanks for addressing the misdesign I made years
ago in the mildest way possible not to introduce any unnecessary
regressions.